### Name: HardyWeinberg-package
### Title: Graphical tests for Hardy-Weinberg equilibrium
### Aliases: HardyWeinberg-package HardyWeinberg
### Keywords: package

### ** Examples


library(HardyWeinberg)

# make random compositions that are in HWE

set.seed(123)

nm <- 100 # number of markers

Xt <- NULL

for (i in 1:nm) {
   p <- runif(1)
   X <- t(rmultinom(1, size = 100, prob=c(p^2,2*p*(1-p),(1-p)^2)))
   Xt <- rbind(Xt,X)
}

Xc <- Xt/100
colnames(Xc) <- c("AA","AB","BB")

out <- HWTernaryPlot(Xc,100,region=1,vertex.cex=2,signifcolour=TRUE)




